﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FaceCompare.aspx.cs" Inherits="CompareInterfaceDemo.FaceCompare" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta charset="UTF-8" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css" rel="stylesheet" />
    <link href="../css/fileinput.css" media="all" rel="stylesheet" type="text/css" />
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="../js/fileinput.min.js" type="text/javascript"></script>
    <script src="../js/fileinput_locale_fr.js" type="text/javascript"></script>
    <script src="../js/fileinput_locale_es.js" type="text/javascript"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js" type="text/javascript"></script>
    <title></title>
</head>
<body>
    <form id="form" runat="server">
        <div class="container kv-main">
            <div class="page-header">
                <h1>EyeKey-Face Interface Example <small><a href="http://www.eyekey.com/devcenter/api/APIface.html">
                    <i class="glyphicon glyphicon-download"></i>More API Document</a></small></h1>
            </div>

        </div>

        <div class="container kv-main">
            <div class="page-header">
                <h1><small class="info">Match_compare face example</small></h1>
            </div>
            <asp:FileUpload ID="fup1" runat="server" Class="file" />&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
            <asp:FileUpload ID="fup2" runat="server" Class="file" />

            <br />
            <asp:Button ID="btnCompare" class="btn btn-primary" runat="server" Text="Compare Face" OnClick="btnCompare_Click"></asp:Button>
            <asp:Button ID="Button2" class="btn btn-default" runat="server" Text="Reset"></asp:Button>


            <hr />


            <div class="help-block alert alert-warning">
                <h4>Result</h4>
                <asp:Label ID="lblCompareResult" runat="server" />
            </div>
        </div>
    </form>
</body>
<script>
    $('#file-fr').fileinput({
        language: 'fr',
        uploadUrl: '#',
        allowedFileExtensions: ['jpg', 'png', 'gif'],
    });
    $('#file-es').fileinput({
        language: 'es',
        uploadUrl: '#',
        allowedFileExtensions: ['jpg', 'png', 'gif'],
    });

    $(".btn-warning").on('click', function () {
        if ($('#file-4').attr('disabled')) {
            $('#file-4').fileinput('enable');
        } else {
            $('#file-4').fileinput('disable');
        }
    });
    $(".btn-info").on('click', function () {
        $('#file-4').fileinput('refresh', { previewClass: 'bg-info' });
    });


</script>
</html>
